Package com.evopdf

# Class EllipseSliceElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.PageGraphicElement
com.evopdf.EllipseSliceElement

public class EllipseSliceElement extends PageGraphicElement
This class represents an ellipse slice element that can be added to a PDF document

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EllipseSliceElement(float x, float y, float width, float height, float startAngle, float sweepAngle)`
  Constructs an ellipse slice element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `height()`
  Gets the height of the rectangle enclosing the ellipse
  `void`
  `setHeight(float height)`
  Sets the height of the rectangle enclosing the ellipse
  `void`
  `setStartAngle(float startAngle)`
  Sets the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle
  `void`
  `setSweepAngle(float sweepAngle)`
  Sets the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice
  `void`
  `setWidth(float width)`
  Sets the width of the rectangle enclosing the ellipse
  `void`
  `setX(float x)`
  Sets the top left corner X coordinate of the rectangle enclosing the ellipse
  `void`
  `setY(float y)`
  Sets the top left corner Y coordinate of the rectangle enclosing the ellipse
  `float`
  `startAngle()`
  Gets the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle
  `float`
  `sweepAngle()`
  Gets the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice
  `float`
  `width()`
  Gets the width of the rectangle enclosing the ellipse
  `float`
  `x()`
  Gets the top left corner X coordinate of the rectangle enclosing the ellipse
  `float`
  `y()`
  Gets the top left corner Y coordinate of the rectangle enclosing the ellipse

  ### Methods inherited from class com.evopdf.PageGraphicElement

  `backColor, blending, clipRectangle, foreColor, gradient, lineStyle, opacity, rotate, scale, setBackColor, setBlending, setClipRectangle, setForeColor, setGradient, setLineStyle, setOpacity, skew, translate`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EllipseSliceElement

    public EllipseSliceElement(float x, float y, float width, float height, float startAngle, float sweepAngle)
    Constructs an ellipse slice element
    Parameters:
      `x` - the X coordinate of the rectangle enclosing the ellipse
      `y` - the Y coordinate of the rectangle enclosing the ellipse
      `width` - the width of the rectangle enclosing the ellipse
      `height` - the height of the rectangle enclosing the ellipse
      `startAngle` - the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle
      `sweepAngle` - the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice

- ## Method Details

  - ### x

    public float x()
    Gets the top left corner X coordinate of the rectangle enclosing the ellipse
    Returns:
      the top left corner X coordinate of the rectangle enclosing the ellipse

  - ### setX

    public void setX(float x)
    Sets the top left corner X coordinate of the rectangle enclosing the ellipse
    Parameters:
      `x` - the top left corner X coordinate of the rectangle enclosing the ellipse

  - ### y

    public float y()
    Gets the top left corner Y coordinate of the rectangle enclosing the ellipse
    Returns:
      the top left corner Y coordinate of the rectangle enclosing the ellipse

  - ### setY

    public void setY(float y)
    Sets the top left corner Y coordinate of the rectangle enclosing the ellipse
    Parameters:
      `y` - the top left corner Y coordinate of the rectangle enclosing the ellipse

  - ### width

    public float width()
    Gets the width of the rectangle enclosing the ellipse
    Returns:
      the width of the rectangle enclosing the ellipse

  - ### setWidth

    public void setWidth(float width)
    Sets the width of the rectangle enclosing the ellipse
    Parameters:
      `width` - the width of the rectangle enclosing the ellipse

  - ### height

    public float height()
    Gets the height of the rectangle enclosing the ellipse
    Returns:
      the height of the rectangle enclosing the ellipse

  - ### setHeight

    public void setHeight(float height)
    Sets the height of the rectangle enclosing the ellipse
    Parameters:
      `height` - the height of the rectangle enclosing the ellipse

  - ### startAngle

    public float startAngle()
    Gets the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle
    Returns:
      the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle

  - ### setStartAngle

    public void setStartAngle(float startAngle)
    Sets the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle
    Parameters:
      `startAngle` - the start angle in degrees of the ellipse slice measured counter-clockwise from the X axis centered in the enclosing rectangle

  - ### sweepAngle

    public float sweepAngle()
    Gets the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice
    Returns:
      the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice

  - ### setSweepAngle

    public void setSweepAngle(float sweepAngle)
    Sets the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice
    Parameters:
      `sweepAngle` - the angle in degrees of the ellipse slice measured counter-clockwise from the start angle of the slice